Subject: Linux-Activists - DOC Channel digest. 93-6-5-2:15
From: "Linux Activists" <[email-masked]>
To: "Linux-Activists" <[email-masked]>
Date: Mon, 5 Jul 1993 11:44:28 +0300

Topics:
	 gs/groff isn't working anymore.. :(
	 texinfo conversions

----------------------------------------------------------------------

From: [email-masked] (Dan Miner)
Subject: gs/groff isn't working anymore.. :(
Date: Mon, 5 Jul 1993 05:01:16 +0300

I had the following setup....

groff 1.05
ghostscript 2.5.2

Now, I've updated to gs 2.6.1...

Here is what I trying to do...

groff -man -Tps manpage.section > manpage.ps
gs -sDEVICE=epson -q -sOutputFile=/dev/lp1 manpage.ps

	Now, this would print out a decent manpage.  When I
updated, it forgets the header of the manpage...  To make this
worst, the header IS in the ps file.

Any clues?  Anyone have this problem?  Here is a page for
basename.1.  For me, it will not print "BASENAME(1L)        Linux...".
It starts at the "NAME" subheading...

/F0 10/Times-Roman@0 SF 100.495(BASENAME\(1L\) Linux)72 48 R -2.13
(Programmer ')2.5 F 2.5(sM)-.55 G 100.495(anual BASENAME\(1L\))342.575 48 R/F1

See?  It it here.!!! *grrr*

Thanks
Dan

P.S.  The X11 driver in gs WILL show the header line...
----------------------------------------------------------
%!PS-Adobe-3.0
%%Creator: groff version 1.05
%%DocumentNeededResources: font Times-Roman
%%+ font Times-Bold
%%+ font Times-Italic
%%DocumentSuppliedResources: procset grops 1.05 0
%%Pages: 1
%%PageOrder: Ascend
%%Orientation: Portrait
%%EndComments
%%BeginProlog
%%BeginResource: procset grops 1.05 0

/setpacking where {
	pop
	currentpacking
	true setpacking
} if

/grops 120 dict dup begin 

% The ASCII code of the space character.
/SC 32 def

/A /show load def
/B { 0 SC 3 -1 roll widthshow } bind def
/C { 0 exch ashow } bind def
/D { 0 exch 0 SC 5 2 roll awidthshow } bind def
/E { 0 rmoveto show } bind def
/F { 0 rmoveto 0 SC 3 -1 roll widthshow } bind def
/G { 0 rmoveto 0 exch ashow } bind def
/H { 0 rmoveto 0 exch 0 SC 5 2 roll awidthshow } bind def
/I { 0 exch rmoveto show } bind def
/J { 0 exch rmoveto 0 SC 3 -1 roll widthshow } bind def
/K { 0 exch rmoveto 0 exch ashow } bind def
/L { 0 exch rmoveto 0 exch 0 SC 5 2 roll awidthshow } bind def
/M { rmoveto show } bind def
/N { rmoveto 0 SC 3 -1 roll widthshow } bind def
/O { rmoveto 0 exch ashow } bind def
/P { rmoveto 0 exch 0 SC 5 2 roll awidthshow } bind def
/Q { moveto show } bind def 
/R { moveto 0 SC 3 -1 roll widthshow } bind def
/S { moveto 0 exch ashow } bind def
/T { moveto 0 exch 0 SC 5 2 roll awidthshow } bind def

% name size font SF -

/SF {
	findfont exch
	[ exch dup 0 exch 0 exch neg 0 0 ] makefont
	dup setfont
	[ exch /setfont cvx ] cvx bind def
} bind def

% name a c d font MF -

/MF {
	findfont
	[ 5 2 roll
	0 3 1 roll % b
	neg 0 0 ] makefont
	dup setfont
	[ exch /setfont cvx ] cvx bind def
} bind def

/level0 0 def
/RES 0 def
/PL 0 def
/LS 0 def

% BP -

/BP {
	/level0 save def
	1 setlinecap
	1 setlinejoin
	72 RES div dup scale
	LS {
		90 rotate
	} {
		0 PL translate
	} ifelse
	1 -1 scale
} bind def

/EP {
	level0 restore
	showpage
} bind def

% centerx centery radius startangle endangle DA -

/DA {
	newpath arcn stroke
} bind def

% x y SN - x' y'
% round a position to nearest (pixel + (.25,.25))

/SN {
	transform 
	.25 sub exch .25 sub exch
	round .25 add exch round .25 add exch
	itransform
} bind def
	
% endx endy startx starty DL -
% we round the endpoints of the line, so that parallel horizontal
% and vertical lines will appear even

/DL {
	SN
	moveto
	SN
	lineto stroke
} bind def

% centerx centery radius DC -

/DC {
	newpath 0 360 arc closepath
} bind def

/TM matrix def

%  width height centerx centery DE -

/DE {
	TM currentmatrix pop
	translate scale newpath 0 0 .5 0 360 arc closepath
	TM setmatrix
} bind def

% these are for splines

/RC /rcurveto load def
/RL /rlineto load def
/ST /stroke load def
/MT /moveto load def
/CL /closepath load def

% fill the last path

% amount FL -

/FL {
	currentgray exch setgray fill setgray
} bind def

% fill with the ``current color''

/BL /fill load def

/LW /setlinewidth load def
% new_font_name encoding_vector old_font_name RE -

/RE {
	findfont
	dup maxlength dict begin
	{
		1 index /FID ne { def } { pop pop } ifelse
	} forall
	/Encoding exch def
	dup /FontName exch def
	currentdict end definefont pop
} bind def

/DEFS 0 def

% hpos vpos EBEGIN -

/EBEGIN {
	moveto
	DEFS begin
} bind def

/EEND /end load def

/CNT 0 def
/level1 0 def

% llx lly newwid wid newht ht newllx newlly PBEGIN -

/PBEGIN {
	/level1 save def
	translate
	div 3 1 roll div exch scale
	neg exch neg exch translate
	% set the graphics state to default values
	0 setgray
	0 setlinecap
	1 setlinewidth
	0 setlinejoin
	10 setmiterlimit
	[] 0 setdash
	/setstrokeadjust where {
		pop
		false setstrokeadjust
	} if
	/setoverprint where {
		pop
		false setoverprint
	} if
	newpath
	/CNT countdictstack def
	userdict begin
	/showpage {} def
} bind def

/PEND {
	clear
	countdictstack CNT sub { end } repeat
	level1 restore
} bind def

end def

/setpacking where {
	pop
	setpacking
} if
%%EndResource
%%IncludeResource: font Times-Roman
%%IncludeResource: font Times-Bold
%%IncludeResource: font Times-Italic
grops begin/DEFS 1 dict def DEFS begin/u{.001 mul}bind def end/RES 72 def/PL
792 def/LS false def/ENC0[/asciicircum/asciitilde/Scaron/Zcaron/scaron/zcaron
/Ydieresis/trademark/.notdef/.notdef/.notdef/.notdef/.notdef/.notdef/.notdef
/.notdef/.notdef/.notdef/.notdef/.notdef/.notdef/.notdef/.notdef/.notdef
/.notdef/.notdef/.notdef/.notdef/.notdef/.notdef/.notdef/.notdef/space/exclam
/quotedbl/numbersign/dollar/percent/ampersand/quoteright/parenleft/parenright
/asterisk/plus/comma/hyphen/period/slash/zero/one/two/three/four/five/six/seven
/eight/nine/colon/semicolon/less/equal/greater/question/at/A/B/C/D/E/F/G/H/I/J
/K/L/M/N/O/P/Q/R/S/T/U/V/W/X/Y/Z/bracketleft/backslash/bracketright/circumflex
/underscore/quoteleft/a/b/c/d/e/f/g/h/i/j/k/l/m/n/o/p/q/r/s/t/u/v/w/x/y/z
/braceleft/bar/braceright/tilde/.notdef/quotesinglbase/guillemotleft
/guillemotright/bullet/florin/fraction/perthousand/dagger/daggerdbl/endash
/emdash/ff/fi/fl/ffi/ffl/dotlessi/dotlessj/grave/hungarumlaut/dotaccent/breve
/caron/ring/ogonek/quotedblleft/quotedblright/oe/lslash/quotedblbase/OE/Lslash
/.notdef/exclamdown/cent/sterling/currency/yen/brokenbar/section/dieresis
/copyright/ordfeminine/guilsinglleft/logicalnot/minus/registered/macron/degree
/plusminus/twosuperior/threesuperior/acute/mu/paragraph/periodcentered/cedilla
/onesuperior/ordmasculine/guilsinglright/onequarter/onehalf/threequarters
/questiondown/Agrave/Aacute/Acircumflex/Atilde/Adieresis/Aring/AE/Ccedilla
/Egrave/Eacute/Ecircumflex/Edieresis/Igrave/Iacute/Icircumflex/Idieresis/Eth
/Ntilde/Ograve/Oacute/Ocircumflex/Otilde/Odieresis/multiply/Oslash/Ugrave
/Uacute/Ucircumflex/Udieresis/Yacute/Thorn/germandbls/agrave/aacute/acircumflex
/atilde/adieresis/aring/ae/ccedilla/egrave/eacute/ecircumflex/edieresis/igrave
/iacute/icircumflex/idieresis/eth/ntilde/ograve/oacute/ocircumflex/otilde
/odieresis/divide/oslash/ugrave/uacute/ucircumflex/udieresis/yacute/thorn
/ydieresis]def/Times-Italic@0 ENC0/Times-Italic RE/Times-Bold@0 ENC0/Times-Bold
RE/Times-Roman@0 ENC0/Times-Roman RE
%%EndProlog
%%Page: 1 1
%%BeginPageSetup
BP
%%EndPageSetup
/F0 10/Times-Roman@0 SF 100.495(BASENAME\(1L\) Linux)72 48 R -2.13
(Programmer ')2.5 F 2.5(sM)-.55 G 100.495(anual BASENAME\(1L\))342.575 48 R/F1
9/Times-Bold@0 SF(NAME)72 84 Q F0(basename \255 strip directory and suf)108 96
Q(\214x from \214lenames)-.18 E F1(SYNOPSIS)72 112.8 Q/F2 10/Times-Bold@0 SF
(basename)108 124.8 Q F0(name [suf)2.5 E(\214x])-.18 E F1(DESCRIPTION)72 141.6
Q F0 .227(This manual page documents the GNU version of)108 153.6 R F2
(basename)2.727 E F0 5.227(.T)C(he)366.955 153.6 Q F2(basename)2.727 E F0 .227
(command removes any lead-)2.727 F .768(ing path from)108 165.6 R/F3 10
/Times-Italic@0 SF(name)3.268 E F0 3.268(;I).18 G(f)198.462 165.6 Q F3
(suf\214x)3.268 E F0 .769(is speci\214ed and is identical to the end of)3.268 F
F3(name)3.269 E F0 3.269(,i).18 G 3.269(ti)429.785 165.6 S 3.269(sr)438.614
165.6 S .769(emoved from)449.103 165.6 R F3(name)3.269 E F0(as)3.269 E(well.)
108 177.6 Q F2(basename)5 E F0
(prints the resulting name on the standard output.)2.5 E(1)535 768 Q EP
%%Trailer
end
%%EOF

------------------------------

From: [email-masked] (Dan Miner)
Subject: texinfo conversions
Date: Mon, 5 Jul 1993 08:55:59 +0300

	It there a "fairly" easy to convert texinfo
files to something more traditional?  Like ps, man for
even plain ascii?  I'd prefer PostScript.. :)

I've never had ANY luck at displaying texinfo files.  I've
tried compiling the displayer; wouldn't compile.
I can't seen to get TeX to talk to me.. *grr* so that
avenue to out...  So, converting to something else
would be nice.  On-line help is great for that quick
look-up but for learning a new system or package, it
can't be less than desirable....

Thanks,
Dan
-- 
Dan Miner ([email-masked])

Hackers' Guide Coordinator for Linux
"It all begins with a glimmer."

------------------------------

End of DOC Digest
*****************
-------